# Rz(b) Ry(45)
#          sqrt(2)
#   tan b = ------- = sqrt(2) = 54.74 grados

import numpy as np

ang = np.deg2rad( 45.0 )
c = np.cos( ang )
s = np.sin( ang )

Ry = np.array( [[ c, 0, s],
                [ 0, 1, 0],
                [-s, 0, c]] )

ang = np.deg2rad( 54.74 )
c = np.cos( ang )
s = np.sin( ang )

Rz = np.array( [[ c,-s, 0],
                [ s, c, 0],
                [ 0, 0, 1]] )

R = Rz @ Ry
print( R )
